UbixOS V2 2.0

Macros | Functions
atkbd.h File Reference

Go to the source code of this file.

## Macros
#define | altKey 4
#define | controlKey 2
#define | ledCapslock 4
#define | ledNumlock 2
#define | ledScrolllock 1
#define | shiftKey 1

## Functions
int | atkbd_init ()
void | atkbd_isr ()
void | keyboardHandler ()
void | setLED ()

## Macro Definition Documentation

## ◆ altKey

#define altKey 4

Definition at line 34 of file atkbd.h.

## ◆ controlKey

#define controlKey 2

Definition at line 33 of file atkbd.h.

## ◆ ledCapslock

#define ledCapslock 4

Definition at line 37 of file atkbd.h.

## ◆ ledNumlock

#define ledNumlock 2

Definition at line 35 of file atkbd.h.

## ◆ ledScrolllock

#define ledScrolllock 1

Definition at line 36 of file atkbd.h.

## ◆ shiftKey

#define shiftKey 1

Definition at line 32 of file atkbd.h.

## Function Documentation

## ◆ atkbd_init()

int atkbd_init | ( |  | ) |

Definition at line 153 of file atkbd.c.

## ◆ atkbd_isr()

void atkbd_isr | ( |  | ) |

Referenced by atkbd_init().

## ◆ keyboardHandler()

void keyboardHandler | ( |  | ) |

## ◆ setLED()

void setLED | ( |  | ) |

Definition at line 336 of file atkbd.c.